ApplicationsCreate application

Create application

Creates an application for the authenticated merchant

curl -X POST "https://api.example.com/api/v1/applications" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "name": "UK Web Store",
  "description": "Primary e-commerce backend for UK"
}'
{
  "id": "uuid-v4-app-123",
  "name": "UK Web Store",
  "description": "Primary e-commerce backend for UK",
  "isEnabled": true,
  "createdAt": "2026-02-23T12:00:00Z"
}
POST
/api/v1/applications
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

Application name

Max length: 100
descriptionstring

Application description

Max length: 250
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Body

application/json
namestring
Required

Application name

Example:
UK Web Store
descriptionstring

Application description

Example:
Primary e-commerce backend for UK

Responses